--Load Required Files
function love.load()
	love.graphics.setDefaultFilter("nearest","nearest",4)
	require "coord"
	require "input"
	require "camera"
	require "filer"
	require "tiles"
	tiles.create()
	require "screen"
	require "mapGen"
	require "tool"
	require "ui"
	
	mapGen.new(6,6,2)
	screen.load()
end

--Updates
function love.update(dt)
	input.update()
	camera.update()
	tool.update()
end



--Rendering
function love.draw()
	love.graphics.scale(camera.zoom,camera.zoom)
	love.graphics.translate(camera.x,camera.y)
	screen.draw()
	ui.draw()
end

