screen = {}

function screen.load()
	for zkey,zvalue in ipairs(coord.sortPairsIn(map,1)) do
		screen.setLayer(zvalue)
	end
end

--NOTE: Arbitrary names, SpriteBatch Buffer Size. Fix it!
function screen.setLayer(z)
	if map[z] ~= nil then
		layer[z]:bind()
		layer[z]:clear()
		for ykey,yvalue in ipairs(coord.sortPairsIn(map[z],1)) do
			for xkey,xvalue in ipairs(coord.sortPairsIn(map[z][yvalue],1)) do
				local tile = map[z][yvalue][xvalue].tile
				local x,y = coord.Grid2Iso(xvalue,yvalue)
				map[z][yvalue][xvalue].id = layer[z]:add(tiles[tile],
				x,y-(z*tileDepth)-map[z][yvalue][xvalue].height)
			end
		end
		layer[z]:unbind()
	end
end

function screen.draw()
	for zkey,zvalue in ipairs(coord.sortPairsIn(map,1)) do
		love.graphics.draw(layer[zvalue])
	end
end
